import request from '@/utils/request'

export function nameValidator(data) {
  return request({
    url: 'patrol/plan/nameValidator',
    method: 'post',
    data
  })
}

export function add(data) {
  return request({
    url: 'patrol/plan/insert',
    method: 'post',
    data
  })
}

export function del(ids) {
  return request({
    url: 'patrol/plan/delete',
    method: 'post',
    data: ids
  })
}

export function edit(data) {
  return request({
    url: 'patrol/plan/update',
    method: 'post',
    data
  })
}

export default { add, edit, del }
